classification
Title: CGIHTTPServer doesn't handle path names with embeded space
Type: behavior Stage: test needed
Components: Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: duplicate
Dependencies: Superseder: CGIHTTPServer doesn't handle path names with embeded space
View: 1535504
Assigned To: Nosy List: ajaksu2, htgoebel, rick-eci
Priority: normal Keywords:

Created on 2006-02-21 21:56 by rick-eci, last changed 2009-04-05 13:48 by georg.brandl. This issue is now closed.

Messages (3)
msg60870 - (view) Author: Richard Coupland (rick-eci) Date: 2006-02-21 21:56
On Windows, if the path name of a CGI script to be run
contains one or more space characters, the path name is
split into multiple parameters causing an error.  I
have not tried not tried this on other platforms.
msg60871 - (view) Author: Hartmut Goebel (htgoebel) Date: 2006-08-06 19:45
Logged In: YES 
user_id=376953

I just submitted a patch for this. see patch #1535504.
msg83901 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-03-21 00:27
See issue 1535504 for patch.
History
Date User Action Args
2009-04-05 13:48:59georg.brandlsetstatus: open -> closed
resolution: duplicate
dependencies: - CGIHTTPServer doesn't handle path names with embeded space
superseder: CGIHTTPServer doesn't handle path names with embeded space
2009-03-21 00:27:31ajaksu2setdependencies: + CGIHTTPServer doesn't handle path names with embeded space
type: behavior
versions: + Python 2.6, - Python 2.4
nosy: + ajaksu2

messages: + msg83901
stage: test needed
2006-02-21 21:56:38rick-ecicreate